{% extends "base.html" %}
{% load staticfiles %}

{% block extra_head %}
  <style>
.container {
  margin: 0px auto;
  padding: 0px;
}

.covid {
  background: orange;
  padding: 10px;
}

#main {
  background: #3B3B3B;
  height: 430px;
}

.content {
  padding: 10px 44px;
}

.text {
  border-bottom: 1px solid #262626;
  margin-top: 40px;
  padding-bottom: 40px;
  text-align: center;
}

.text h2 {
  color: #E5E5E5;
  font-size: 30px;
  font-style: normal;
  font-variant: normal;
  font-weight: lighter;
  letter-spacing: 2px;
}

.counter {
  min-height: 150px;
  text-align: center;
}

.counter h3 {
  font-size: 16pt;
  font-style: normal;
  font-variant: normal;
  font-weight: lighter;
  letter-spacing: 1px;
  padding-top: 20px;
  margin-bottom: 30px;
}

/* нахуй
.specifics {
  margin-left: 15%;
  text-align: left;
  text-decoration-color: #414141;
  font-size: 13px;
}*/

#countdown {
}

#countdown span {
  font-size: 26px;
  font-weight: normal;
  margin-left: 20px;
  margin-right: 20px;
  text-align: center;
}
</style>

{% endblock %}

{% block jumbotron_content %}
{% if intake_is_closed %}
<h1 class="text-center">Летняя школа {{ now.year }}</h1>

{#<p class="text-center">На {{ now.year }} набор уже закрыт.</p>#}

<p class="text-center">На этом сайте скоро можно будет подать заявку на участие в Летней школе {{ now.year }}</p>

<div class="counter">
<h3>Мы ожидаем, что это можно будет сделать через:</h3>
<div id="countdown">
</div>
</div>

{% else %}
<h1 class="text-center">Летняя школа {{ now.year }}</h1>

<p class="text-center">На этом сайте можно подать заявку на участие.</p>

<p class="text-center"><small>Если вы уже заполняли базовую анкету, и хотите посмотреть её статус, вам надо <a href="/login/auth0">войти</a> в запароленную часть.</small></p>
{% endif %}


{% if not intake_is_closed %}
<p class="text-center"><a class="btn btn-primary btn-lg" href="#dowant-rules">Подробнее про порядок приёма &raquo;</a></p>
{% endif %}
{% endblock %}

{% block content %}
<div class="row">
{% if intake_is_closed %}
  <div class="col-lg-12">
    <h2 class="text-right">Пиу-пиу<h2>
        <p class="text-right"><small>Можете нам посочувствовать в нашей группе <a href="http://vk.com/shkola_rr/">вконтактике</a>
        или в <a href="https://www.facebook.com/letnyayashkola/">фейсбуке</a>.</small>
        </p>
        <p class="text-right"><small>Или зайти на <a href="http://letnyayashkola.org">наш информационный портал</a>.</small></p>
  </div>
{% else %}
<div class="covid">
  <h1 class="text-center bg-info">Что будет с Летней школой?</h1>

  <p>Мы понимаем, что ситуация с пандемией не позволяет уверенно строить планы на лето. Тем не менее, решили открывать набор участников по графику в надежде, что сможем провести эту «Летнюю школу» в привычном формате: с палатками, Волгой и соснами.</p>

  <p>Естественно, организаторы ЛШ следят за развитием событий с COVID-19, и будут реагировать сообразно. Вот какие мы видим сценарии:</p>

  <ol>
    <li>Всё пойдёт по плану (ну понятно, мы все хотим, чтобы это так и было);</li>
    <li>Мы будем вынуждены отказаться от проведения ЛШ в этом сезоне;</li>
    <li>«Летняя школа» пройдёт в другие даты, ну или хотя бы часть мастерских так сделает;</li>
    <li>Другие варианты, которые придут в наши отчаянно вдохновившиеся новым миром головы.</li>
  </ol>

  <p><b>Пожалуйста, держите это в уме, когда подаёте заявку. В любом случае, решение о проведении ЛШ будет принято не позднее 1 июня. Обо всех изменениях мы будем отдельно оповещать.</b></p>
  <p>Читайте описания мастерских, выполняйте вступительные задания <i>в меру своих самоизоляционных возможностей,</i> воспринимайте это как интересное упражнение. Команды мастерских также, вопреки любым раскладам, готовили программы и задания и готовы включаться в процесс набора участников, невзирая на неизвестность.</p>
</div>
  <h2 class="text-center">Вы точно уверены, что хотите ехать к нам?</h2>
  <p><del>А как вы вообще тут оказались?</del> Читайте материалы и слушайте своё сердце...
    <ol>
      <li>Почитайте <a href="https://letnyayashkola.org">сайт Летней школы</a> ― там гора информации про наши мастерские,
	      последние новости проекта и подробнейший <a href="https://letnyayashkola.org/FAQ/">FAQ</a>.</li>
      <li>Полистайте наши соцсети: Telegram (<a href="https://t.me/lsh_afisha">ЛШ афиша</a>/<a href="https://t.me/lsh_potok">ЛШ поток</a>), <a href="https://www.facebook.com/letnyayashkola/">Facebook</a>,
        <a href="http://vk.com/shkola_rr">ВКонтакте</a> и <a href="https://www.instagram.com/letnyayashkola/">Instagram</a> </li>
    </ol>
  </p>
  </div>

  <div class="lead" font-size=16px id="dowant-rules">
    <p>Если же вы твердо решили подать заявку на участие в нашем свободном некоммерческом научно-просветительском проекте «Летняя школа»,
      настоятельно рекомендуем ознакомиться с информацией, указанной ниже ― вне зависимости от того, делаете вы это
      впервые или уже проходили отбор раньше.</p>
    </br>
    </br>
    <h2 id="0" class="heading text-center"><b>Прием на «Летнюю школу» проходит в несколько этапов</b></h2>
  </div>

  <div class="row">
    <div class="col-lg-12">
      <h3 id="1" class="lead">Выберите мастерскую</h3>
      <p>Внимательно прочтите информацию о мастерских «Летней школы» на <a href="http://letnyayashkola.org">сайте
          проекта</a>. Некоторые мастерские принимают участников на несколько разных программ. В этом случае необходимо
        будет выбрать программу.</p>
    </div>
    </br>


    <div class="col-lg-12">
      <h3 id="2" class="lead">Создайте аккаунт на этом сайте</h3>
      <p>Воспользуйтесь кнопкой «Войти» в правом верхнем углу или нажмите <a
          href="http://nabor.letnyayashkola.org/accounts/login/">сюда</a>. Если в прошлом году вы уже создавали аккаунт,
        новый заводить всё равно нужно, база сбрасывается каждый год.</p>
    </div>
    </br>


    <div class="col-lg-12">
      <h3 id="3" class="lead">Заполните анкету участника</h3>
      <p>Форма заполнения анкеты откроется после регистрации аккаунта. После внесения всей необходимой информации
        нажмите кнопку «Отправить».
      </p>
    </div>
    </br>

    <div class="col-lg-12">
      <h3 id="4" class="lead">Проверка анкеты группой «Набор»</h3>
      <p>Группа «Набор» может попросить участника уточнить приведенные сведения или предоставить дополнительную
        информацию. Иногда группа «Набор» отказывает претендентам — например, если участник показал себя с плохой
        стороны на прошлых сезонах «Летней школы». Такое бывает очень редко, примерно в одном случае из ста. Одобренную
        заявку группа «Набор» передает координаторам выбранной участником мастерской.
      </p>
    </div>
    </br>

    <div class="col-lg-12">
      <h3 id="5" class="lead">Уведомление о прохождении проверки</h3>
      <p>Группа «Набор» проверяет заявки в течение 10 дней. В этот срок на указанный вами в анкете адрес электронной
        почты должно прийти ответное письмо с информацией о том, что ваша заявка передана мастерской, или что вам
        отказано в участии. Обратите внимание, почтовые программы иногда принимают подобные письма за спам, поэтому
        проверяйте соответствующую папку. Если вы считаете, что с вами поступили несправедливо, или если ответное письмо
        в течение 10 дней не пришло — пишите на <a src="mailto:nabor@letnyayashkola.org">nabor@letnyayashkola.org</a>,
        указав свои ФИО и дату подачи заявки.
      </p>

      <p><b>Несовершеннолетним участникам</b> “Летней школы” потребуется согласие родителей (законных представителей).
        После приема на школу с родителями (законными представителями) будет заключен соответствующий родительский
        договор.</p>

      <p><b>Граждане иностранных государств</b> принимаются на &laquo;Летнюю школу&raquo; на общих основаниях, однако для участия им
        дополнительно потребуется подтвердить наличие всех документов, разрешающих пребывание на территории Российской
        Федерации в соответствии с действующим законодательством, а также предоставить полис медицинского страхования.
      </p>

    </div>
    </br>


    <div class="col-lg-12">
      <h3 id="6" class="lead">Выполнение вступительного задания</h3>
      <p>После передачи заявки координаторам выбранной вами мастерской вам будет выслано вступительное задание. Как
        правило, файл с информацией о задании автоматически попадает к вам на почту в приложении к письму, сообщающим о
        передаче анкеты на мастерскую, однако иногда координаторы отсылают его вручную или связываются с участником
        непосредственно.
      </p>
      <p> Каждая мастерская самостоятельно готовит вступительные испытания для своих участников, поэтому задания у
        разных мастерских могут быть очень разными. В зависимости от мастерской вам могут предложить пройти
        собеседование, собрать портфолио, выполнить некое письменное или творческое задание или прислать дополнительную
        анкету.</p>
      <p> Вовремя отправьте выполненное задание координаторам вашей мастерской в соответствии с инструкциями,
        изложенными в файле с заданием. Как правило на выполнение задания дается 10 дней, если иное не указано в файле.
        Обратите внимание, что задания, высланные позже указанных сроков, рассматриваться, скорее всего, не будут.
      </p>
    </div>
    </br>

    <div class="col-lg-12">
      <h3 id="7" class="lead">После сдачи вступительного задания </h3>
      <p>На мастерской будут подробно рассматривать вашу вступительную работу. Это может быть непростой процесс. Иногда
        для принятия решения координаторы мастерской связываются с участником, чтобы побеседовать с ним лично. Некоторые
        мастерские проводят обязательное очное собеседование.
      </p>
      <p> В течение 10 дней после отправки вами выполненного задания вам придет письмо от мастерской. Ответ может быть
        одним из трех:
        <ol>
          <li>Вы приняты.</li>
          <li>Вы не приняты.
          </li>
          <li>Решение по вашей заявке будет принято позднее. Как правило, это означает, что мастерская хочет сначала
            собрать все заявки, а затем выбрать наиболее подходящих участников, чтобы не провоцировать соревнование «Кто
            быстрее подаст заявку». Окончательный ответ придет точно не позднее 1 июня.
          </li>
        </ol>
      </p>
      <p> Все возникающие у вас вопросы про вступительные задания, мастерские и их программы следует направлять
        координаторам мастерской. Контакты можно найти <a href="http://letnyayashkola.org/workshops/">на страницах
          мастерских на сайте «Летней школы»</a>. Писать группе «Набор» имеет смысл только если мастерская не отзывается
        в течение нескольких дней.

      </p>
    </div>
    </br>

    <div class="col-lg-12">
      <h3 id="8" class="lead">После решения мастерской</h3>
      <p><b>Если вы приняты</b>, координаторы мастерской свяжутся с вами для обсуждения организационных вопросов. Среди
        них: уточнение дат приезда и отъезда, будете ли вы добираться от Москвы на общем автобусе или самостоятельно,
        есть ли у вас палатка и прочее туристическое снаряжение, и так далее. Вопросов может быть довольно много. Не
        стесняйтесь обращаться к координаторам, если вам что-то непонятно или у вас есть какие-то предложения. У
        большинства мастерских есть также собственные группы в соцсетях, о них вам обязательно сообщат. Обращайте также
        внимание на публикации в официальных группах «Летней школы», там появляются актуальные новости.

      </p>
      <p> <b>Если вас не приняли на выбранную вами мастерскую</b>, постарайтесь не расстраиваться. В большинстве случаев
        отказ ничего не говорит о ваших талантах и способностях, он только фиксирует, что, по мнению приемной комиссии,
        данная мастерская вам не подходит. В этом случае вы можете подать заявку на другую мастерскую, которая ведет
        набор участников. Для этого нужно повторить все вышеописанные шаги, начиная с изменения своей анкеты для подачи
        ее на другую мастерскую. Новый аккаунт заводить не нужно.
      </p>
      <p> То же самое можно сделать, если вы хотите подать заявку на еще одну мастерскую, работающую на других циклах
        «Летней школы». Подать заявку на другую мастерскую, если вы уже приняты на школу, можно только в том случае,
        если вторая мастерская не совпадает по срокам с первой, на которую вы уже приняты.</p>
      <p>Если полагаете, что с вами поступили несправедливо, а также если вы не получили ответного письма в течение 10
        дней после отправки выполненного задания или вам не сообщили об отложенном решении до 1 июня, напишите <a
          href="mailto:nabor@letnyayashkola.org">группе «Набор»</a>, указав свои ФИО, мастерскую и дату подачи заявки.
      </p>
    </div>
    </br>




    <div class="col-lg-12">
      <h3 id="6" class="heading text-center">Приезжайте на &laquo;Летнюю школу&raquo;! </h3>
    </div>
    </br>
    </br>
    </br>
    </br>
    </br>
  </div><!-- //row -->


  <p class="text-center"><a class="btn btn-primary btn-lg" href="/login/auth0">Подать заявку</a></p>
  </div>
{% endif %}
</div>
{% endblock content %}


{% block extra_scripts %}
{% if intake_is_closed %}
  <script>
// set the date we're counting down to
var target_date = new Date("April 1, {{ now.year }} 19:40:00").getTime();

// variables for time units
var days, hours, minutes, seconds;

// get tag element
var countdown = document.getElementById('countdown');

// update the tag with id "countdown" every 1 second
setInterval(function () {

    // find the amount of "seconds" between now and target
    var current_date = new Date().getTime();
    var seconds_left = (target_date - current_date) / 1000;

    // do some time calculations
    days = parseInt(seconds_left / 86400);
    seconds_left = seconds_left % 86400;

    hours = parseInt(seconds_left / 3600 + days * 24);
    seconds_left = seconds_left % 3600;

    minutes = parseInt(seconds_left / 60);
    seconds = parseInt(seconds_left % 60);

    // format countdown string + set tag value
    countdown.innerHTML = '<span class="hours">' + hours + ' <b>час.</b></span> <span class="minutes">'
  + minutes + ' <b>мин.</b></span> <span class="seconds">' + seconds + ' <b>сек.</b></span>';
}, 1000);
  </script>
  {% endif %}
{% endblock %}
